Wednesday, October 3, 2018

Upgrading to macOS Mojave Checklist

" "

ITS has been testing macOS Mojave since its release on September 24, 2018. We recommend that you only upgrade if your computer has at least 18.5 GB of available storage space and a minimum of 8 GB of RAM. Before upgrading, make sure you have a backup plan and set aside plenty of time for the installation to complete.

If your Mac is currently running macOS High Sierra, it most likely meets all of these requirements.

✓ Have a backup.

Backing up your data is strongly recommended. Once the update is complete, there's no going back. Back up your data to your Google Drive Backup & Sync, H Drive, Time Machine, or CrashPlan.

✓ Check software compatibility.

What are the most important software programs you use every day? Many programs such as Microsoft Office and Google File Stream are known to work great with macOS Mojave, but some specialized software may need patches or paid upgrades before they work. If you aren’t sure, contact the ITS Help Desk at helpdesk@macalester.edu. Faculty members may contact their Academic Information Associate. RoaringApps compatibility checker may have more information.

The following applications have been tested and launch successfully. ITS cannot test every function in these programs: ATLAS.ti, Citrix, Google Drive File Stream, Mathematica, ChemDraw, CrashPlan, VPN.

✓ Make sure to have enough storage space.

You need 18.5 GB of available storage capacity. To find the available storage go to the Apple menu and choose About This Mac then Storage.

✓ Make sure to have enough memory (RAM).

ITS recommends at least 8GB of RAM, otherwise your computer may run very slowly. To find the memory (RAM) go to the Apple menu and choose About This Mac then Overview, look for Memory.

✓ Make sure your hardware is compatible if you want to use Mojave’s new features.

We only recommend the update for the following computer models. To find your model, go to the Apple menu and choose About This Mac.
  • Mac Pro (late-2012 or newer)
  • iMac (late-2012 or newer)
  • Mac mini (late-2012 or newer)
  • MacBook Pro (mid-2012 or newer)
  • MacBook (early-2015 or newer)
  • MacBook Air (mid-2012 or newer)

✓ Make sure your operating system (OS) is compatible.

Your Mac must be running OS X 10.8 or later to receive the update. To find the version of OS X, go to the Apple menu and choose About This Mac, look for Version.
  • OS X El Capitan v10.11
  • OS X Yosemite v10.10
  • OS X Mavericks v10.9
  • OS X Mountain Lion v10.8

✓ Clear your schedule.

Upgrading your device to macOS Mojave may take hours.

✓ Install macOS Mojave.

Go to Apple menu > App Store… > Featured > macOS Mojave > Download > Install



Additional Resources


Questions?


ITS Help Desk
helpdesk@macalester.edu
651-696-6525

No comments:

Post a Comment